| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__EpMgtInfo Struct Reference
Endpoint Profile

Endpoint Profile Management information. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__BGName | BGName
| Name of the Business Group associated with the Endpoint Profile. More...
char * | ClassOfService
| Name of the Class Of Service associated with the Endpoint Profile. More...
char * | RateArea
| Name of the Rate Area associated with the Endpoint Profile. More...
enum unsp__PrivacySupport * | PrivacySupport
| Privacy Support. More...
unsp__Language | Language
| Language Support. More...
char * | CallingLoc
| Indicates the Endpoint Profile's location. More...
xsd__boolean * | FailedCallsInterceptTreatment
| Indicates the treatment for unsuccessful calls. More...
unsp__NumberPlanName | NumberPlanName
| The name of the Private Numbering Plan associated with the Endpoint Profile. More...
char * | TimeZone
| Specifies the endpoint profile's time zone and determines how the time-dependent services work. More...
enum unsp__ImpactLevel * | ImpactLevel
| This feature enables the administrator to configure the Impact Level of a subscriber. More...

## Detailed Description

Endpoint Profile Management information.

## Member Data Documentation

## ◆ BGName

unsp__BGName unsp__EpMgtInfo::BGName

Name of the Business Group associated with the Endpoint Profile.

required: false

See also
  unsp__BGName

## ◆ CallingLoc

char* unsp__EpMgtInfo::CallingLoc

Indicates the Endpoint Profile's location.

Used for routing emergency calls to the answering point that serves the Calling Location.
required: false
default value[range]: NA [1..15]

## ◆ ClassOfService

char* unsp__EpMgtInfo::ClassOfService

Name of the Class Of Service associated with the Endpoint Profile.

required: false

See also
  unsp__COSName

## ◆ FailedCallsInterceptTreatment

xsd__boolean* unsp__EpMgtInfo::FailedCallsInterceptTreatment

Indicates the treatment for unsuccessful calls.

If the Intercept Treatment is set to true, unsuccessful calls will be sent to intercept treatments, either play tones or announcement, depending on the switch configuration. If the Intercept Treatment is set to false, unsuccessful calls will be released with the release cause..
required: false
default value[range]: true

## ◆ ImpactLevel

enum unsp__ImpactLevel* unsp__EpMgtInfo::ImpactLevel

This feature enables the administrator to configure the Impact Level of a subscriber.

The subscriber is informed when an incoming call originates from a lower security zone or when an outgoing call terminates in a lower security zone. Lower security zone includes all calls with Impact Level less than the one configured for the specific subscriber. When a user participates in a multiparty call such as conference, he/she is informed if only any of the participants in the conference has a lower security zone. The notifications is a short message display on the OpenStage device along with an audible indication e.g a 'beep' or a special ringback tone.
required: false
default value[range]: ImpactLevelUnclassified

## ◆ Language

unsp__Language unsp__EpMgtInfo::Language

Language Support.

For the list of supported languages see unsp__GetSupportedLanguageList().
required: false
default value[range]: "System Default"

## ◆ NumberPlanName

unsp__NumberPlanName unsp__EpMgtInfo::NumberPlanName

The name of the Private Numbering Plan associated with the Endpoint Profile.

If none is provided, the Business Group's default numbering plan applies. For EPs not associated with any Business Group, only the system default numbering plan applies.
required: false

See also
  unsp__NumberPlanName

## ◆ PrivacySupport

enum unsp__PrivacySupport* unsp__EpMgtInfo::PrivacySupport

Privacy Support.

required: false
default value[range]: SipBasic

## ◆ RateArea

char* unsp__EpMgtInfo::RateArea

Name of the Rate Area associated with the Endpoint Profile.

If the Endpoint Profile has no Rate Area assigned, it will only be possible to access default routes.
required: false

See also
  unsp__RateAreaName

## ◆ TimeZone

char* unsp__EpMgtInfo::TimeZone

Specifies the endpoint profile's time zone and determines how the time-dependent services work.

required: false

See also
  unsp__TimeZone

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h